Package org.drinkless.tdlib

# Class TdApi.ResendAuthenticationCode

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.ResendAuthenticationCode

Enclosing class:
  `TdApi`

public static class TdApi.ResendAuthenticationCode extends TdApi.Function<TdApi.Ok>
Resends an authentication code to the user. Works only when the current authorization state is authorizationStateWaitCode, the nextCodeType of the result is not null and the server-specified timeout has passed, or when the current authorization state is authorizationStateWaitEmailCode.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ResendCodeReason`
  `reason`
  Reason of code resending; pass null if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResendAuthenticationCode()`
  Default constructor for a function, which resends an authentication code to the user.
  `ResendAuthenticationCode(TdApi.ResendCodeReason reason)`
  Creates a function, which resends an authentication code to the user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### reason

    public TdApi.ResendCodeReason reason
    Reason of code resending; pass null if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ResendAuthenticationCode

    public ResendAuthenticationCode()
    Default constructor for a function, which resends an authentication code to the user. Works only when the current authorization state is authorizationStateWaitCode, the nextCodeType of the result is not null and the server-specified timeout has passed, or when the current authorization state is authorizationStateWaitEmailCode.

    Returns `Ok`

  - ### ResendAuthenticationCode

    public ResendAuthenticationCode(TdApi.ResendCodeReason reason)
    Creates a function, which resends an authentication code to the user. Works only when the current authorization state is authorizationStateWaitCode, the nextCodeType of the result is not null and the server-specified timeout has passed, or when the current authorization state is authorizationStateWaitEmailCode.

    Returns `Ok`

    Parameters:
      `reason` - Reason of code resending; pass null if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR